## net.i2p.router
Class SubmitMessageHistoryJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.SubmitMessageHistoryJob

All Implemented Interfaces:
  Job

    public class SubmitMessageHistoryJob

extends JobImpl

Job that, if its allowed to, will submit the data gathered by the MessageHistory component to some URL so that the network can be debugged more easily. By default it does not submit any data or touch the message history file, but if the router has the line "router.submitHistory=true", it will send the file that the MessageHistory component is configured to write to once an hour, post it to http://i2p.net/cgi-bin/submitMessageHistory, and then delete that file locally. This should only be used if the MessageHistory component is configured to gather data (via "router.keepHistory=true").

Field Summary
`static boolean` `DEFAULT_SUBMIT_DATA` default value for whether we autosubmit the data
`static java.lang.String` `DEFAULT_SUBMIT_URL` default location
`static java.lang.String` `PARAM_SUBMIT_DATA` router config param for whether we want to autosubmit (and delete) the history data managed by MessageHistory
`static java.lang.String` `PARAM_SUBMIT_URL` where the data should be submitted to (via HTTP POST)

Constructor Summary
`SubmitMessageHistoryJob(RouterContext context)`

Method Summary
`java.lang.String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`addedToQueue, dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PARAM_SUBMIT_DATA

    public static final java.lang.String PARAM_SUBMIT_DATA

  router config param for whether we want to autosubmit (and delete) the history data managed by MessageHistory

  See Also:
    Constant Field Values

### DEFAULT_SUBMIT_DATA

    public static final boolean DEFAULT_SUBMIT_DATA

  default value for whether we autosubmit the data

  See Also:
    Constant Field Values

### PARAM_SUBMIT_URL

    public static final java.lang.String PARAM_SUBMIT_URL

  where the data should be submitted to (via HTTP POST)

  See Also:
    Constant Field Values

### DEFAULT_SUBMIT_URL

    public static final java.lang.String DEFAULT_SUBMIT_URL

  default location

  See Also:
    Constant Field Values

Constructor Detail

### SubmitMessageHistoryJob

    public SubmitMessageHistoryJob(RouterContext context)

Method Detail

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.

### getName

    public java.lang.String getName()

  Description copied from interface: `Job`
  Descriptive name of the task